---
weight: 49
title: Envision
---

# Envision

<video width="640" height="360" controls>
  <source src="/video/envision_installation/envision_installation.webm" type="video/webm">
</video>

- [Envision GitLab repository](https://gitlab.com/gabmus/envision)

Envision is a graphical app that acts as an orchestrator to get a full [Monado](/docs/fossvr/monado/) or [WiVRn](/docs/fossvr/wivrn/) setup up and running with a few clicks.

Envision attempts to construct a working runtime with both a native OpenXR and an OpenVR API, provided by [OpenComposite](/docs/fossvr/opencomposite/), for client aplications to utilize. Please note the OpenVR implementation is incomplete and contains only what's necessary to run most games for compatibility. If you plan to implement software, utilize the OpenXR API, specification [here](https://registry.khronos.org/OpenXR/specs/1.0/html/xrspec.html).

{{< hint danger >}}
**Warning**

Envision is still to be considered alpha-quality and highly experimental.
{{< /hint >}}

You can download the latest Appimage snapshot from [GitLab Pipelines](https://gitlab.com/gabmus/envision/-/pipelines).

**Please note that WiVRn will not work properly by AppImage, if you utilize the AppImages to run WiVRn you must extract the contents of the AppImage and then execute the Envision binary.**

# Getting Started

Upon launching Envision, you will need to select a profile on the bottom of the left side bar.

Profiles that are available by default:
- Lighthouse driver: Proprietary SteamVR Lighthouse driver with top tracking quality. Recommended for lighthouse HMDs.
- OpenHMD: Recommended for Oculus Rift & DK series.
- Simulated headset: Dummy driver for testing on a flat screen.
- Survive: FOSS lighthouse driver implementation.
- WMR: Use with Windows Mixed Reality headsets
- WiVRn: Wireless streaming solution for Quest, Pico, HTC standalone HMDs

Monado does not have a launcher app, and so after connecting your headset, you will likely see a solid color. This means you can now start your VR title.

You may want to launch [WlxOverlay-S](/docs/fossvr/wlxoverlay-s/) first and use it as a means to access your desktop and other VR titles.

## Experimental feature settings

The following resources can be entered into your Envision profile repo and branch settings to enable early access to code before its fully upstream in monado itself. Simply edit your profile with these settings and rebuild to enable these feature sets.

### Full body lighthouse tracking

Full body is now provided by default in Monado & OpenComposite through the XR_MNDX_xdev_space OpenXR vendor extension. This allows any tracked "xdev" in Monado to be forwarded as a raw pose without bindings to applications. OpenComposite exposes these as fake vive FBT trackers for use.

### WMR Controller tracking

This enables positional tracking for WMR controllers in full 6dof

For the Envision XR Service settings:

Repo `https://gitlab.freedesktop.org/thaytan/monado`

Branch `dev-constellation-controller-tracking`

### Experimental Pimax support branch

Major WIP. Allows certain Pimax HMDs to function with Monado.

For the Envision XR Service settings:

Repo `https://gitlab.freedesktop.org/Coreforge/monado/`

Branch `pimax`
